// File: keypad_demo.ino
#include "Keypad.h"

#define NUM_ROWS (4)
#define NUM_COLS (4)

const byte ROW_PINS[] = {9,8,7,6};
const byte COL_PINS[] = {5,4,3,2};

const char keys[NUM_ROWS][NUM_COLS] = {
  {'1','2','3','A'},
  {'4','5','6','B'},
  {'7','8','9','C'},
  {'*','0','#','D'}
};

// create a Keypad object
Keypad keypad = Keypad( (char *)keys, 
                 ROW_PINS, COL_PINS, 
                 NUM_ROWS, NUM_COLS );

void setup(){
  Serial.begin( 115200 );
}

char sbuf[32]; // string buffer for sprintf()
char key;      // keypress

void loop(){
  if ( (key=keypad.getKey()) != NO_KEY ) { // get key
    sprintf( sbuf, "Key: '%c' @%lu msec", key, millis() );
    Serial.println( sbuf );
  } 
}
